> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get total spend for a card balance account

> Returns the total spend for a card balance account within a date range



## OpenAPI

````yaml /openapi-public.json get /v1/card-balance-accounts/{accountId}/total-spend
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/card-balance-accounts/{accountId}/total-spend:
    get:
      tags:
        - v1 - Card Balance Accounts
      summary: Get total spend for a card balance account
      description: Returns the total spend for a card balance account within a date range
      operationId: getCardBalanceAccountTotalSpend
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: from
          in: query
          schema:
            $ref: '#/components/schemas/LocalDateParam'
        - name: to
          in: query
          schema:
            $ref: '#/components/schemas/LocalDateParam'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalCardBalanceAccountSpendV1Model'
components:
  schemas:
    LocalDateParam:
      type: object
    ExternalCardBalanceAccountSpendV1Model:
      type: object
      properties:
        currency:
          type: string
          example: USD
        total:
          type: integer
          format: int64
        from:
          type: string
          format: date-time
        to:
          type: string
          format: date-time
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````